Subject: Re: Why MKCOL/PUT can't automatically create ancestor collections?

From: "Jim Amsden" <[email-masked]>
Date: Fri, 23 Mar 2001 11:18:34 -0500

I think the reasoning was the same for PUT, PROPPATCH, etc. You don't want
the server creating namespaces as the side effect of an operation. MKCOL
and DELETE make namespace manipulations explicit. This prevents erroneously
typed URLs from creating spurious namespaces.

I understand that in RFC2518 that it clearly states that for MKCOL "..all
ancestors MUST already exist, or the method MUST fail..."

Why is this?  I can't find the rationale for not allowing the server to
automatically create ancestor collections if needed for PUT/MKCOL request
and return "201 Created".  Just wasn't sure why this is a MUST requirement
instead of a SHOULD, MAY, ...

Thanks,
Steve